Upload Asset
curl --request POST \
--url https://api.hedra.com/web-app/public/assets/{id}/upload \
--header 'Content-Type: multipart/form-data' \
--header 'X-API-Key: <api-key>' \
--form file='@example-file'import requests
url = "https://api.hedra.com/web-app/public/assets/{id}/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
options.body = form;
fetch('https://api.hedra.com/web-app/public/assets/{id}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"thumbnail_url": "<string>",
"created_at": "<string>",
"asset": {
"width": 123,
"height": 123,
"url": "<string>",
"type": "uploaded_image"
},
"description": "<string>",
"is_favorite": false,
"recent": false,
"favorited_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Upload Asset
POST
/
assets
/
{id}
/
upload
Upload Asset
Authorizations
Path Parameters
Body
multipart/form-data
Response
Successful Response
The id of the asset.
The type of the asset.
Available options:
text, image, audio, video, voice Name of the asset. Default to user-provided file name.
URL of the thumbnail image.
Date the asset was created.
The asset itself.
- UploadedImage
- UploadedAudio
- UploadedVideo
- GeneratedAudio
- GeneratedImage
- GeneratedVideo
- Voice
Show child attributes
Show child attributes
Optional description of the asset.
Whether the asset is favorited by the user.
Whether this asset was recently used by the user.
Date the asset was favorited.
Was this page helpful?
⌘I